Delete multiple WAAP rules
curl --request POST \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules/bulk_delete \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"rule_ids": [
123
]
}
'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules/bulk_delete"
payload = { "rule_ids": [123] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: [123]})
};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules/bulk_delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"title": "Resource not found",
"type": "quota-check-no-resource",
"status": 404,
"detail": "The quota resource requested does not exist. Cannot enable WAAP for this domain. Please reach out to our support team."
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"title": "Internal server error.",
"type": "internal-server-error",
"status": 500,
"detail": "Something went wrong. Cannot enable WAAP for this domain. Please try again later or reach out to our support team."
}Custom Rules
Delete multiple WAAP rules
POST
/
waap
/
v1
/
domains
/
{domain_id}
/
custom-rules
/
bulk_delete
Delete multiple WAAP rules
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
Body
application/json
A request to delete a list of rules
The IDs of the rules to delete
Minimum array length:
1Response
Successful Response
Was this page helpful?
⌘I